"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const child_process_1 = require("child_process");
function runAngularCli(config) {
    const args = configureArguments(config);
    const ngServe = child_process_1.spawn('node', args);
    const write = (handler, data) => {
        const message = data.toString();
        handler.write(`[ng serve]: ${message}\n`);
    };
    ngServe.stdout.on('data', data => {
        write(process.stdout, data);
    });
    ngServe.stderr.on('data', data => {
        write(process.stderr, data);
    });
}
exports.runAngularCli = runAngularCli;
function configureArguments(config) {
    let args = [config.angularCliPath, 'serve', '-no-progress'];
    args.push(`--port=${config.angularCliPort}`);
    if (config.angularAppName) {
        args.push(`-a=${config.angularAppName}`);
    }
    else {
        throw new Error(chalk_1.default.red('Please provide Playground\'s appName in your angular-playground.json file.'));
    }
    if (config.angularCliEnv) {
        args.push(`-e=${config.angularCliEnv}`);
    }
    if (config.angularCliAdditionalArgs) {
        args = args.concat(config.angularCliAdditionalArgs);
    }
    return args;
}
