"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const configure_1 = require("./configure");
const build_sandboxes_1 = require("./build-sandboxes");
const start_watch_1 = require("./start-watch");
const run_angular_cli_1 = require("./run-angular-cli");
const verify_sandboxes_1 = require("./verify-sandboxes");
const find_port_1 = require("./find-port");
function run() {
    return __awaiter(this, void 0, void 0, function* () {
        const config = configure_1.configure(process.argv);
        yield build_sandboxes_1.buildSandboxes(config.sourceRoot, config.chunk);
        if (config.verifySandboxes) {
            config.angularCliPort = yield find_port_1.findFirstFreePort('127.0.0.1', 7000, 9000);
        }
        if (config.watch || config.verifySandboxes) {
            start_watch_1.startWatch(config.sourceRoot, () => build_sandboxes_1.buildSandboxes(config.sourceRoot, config.chunk));
        }
        if (config.serve || config.verifySandboxes) {
            run_angular_cli_1.runAngularCli(config);
        }
        if (config.verifySandboxes) {
            verify_sandboxes_1.verifySandboxes(config);
        }
    });
}
exports.run = run;
